<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.1
Description: Der Grund der Einweisung. Beschreibung der Symptome, Verdachtsdiagnosen, etc.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.1">
   <title>Aufnahmegrund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]
Item: (Aufnahmegrund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section
Item: (Aufnahmegrund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section"
         id="tmp-0baf713b-b2f2-4649-9ec1-60e3eff5820c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.1'])&gt;=1 ">(Aufnahmegrund): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.1'])&lt;=1">(Aufnahmegrund): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&gt;=1 ">(Aufnahmegrund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'])&lt;=1">(Aufnahmegrund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Aufnahmegrund): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:code)&lt;=1">(Aufnahmegrund): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:title)&gt;=1 ">(Aufnahmegrund): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:title)&lt;=1">(Aufnahmegrund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:text)&gt;=1 ">(Aufnahmegrund): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="count(hl7:text)&lt;=1">(Aufnahmegrund): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.1']
Item: (Aufnahmegrund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.1']"
         id="tmp-d999a9aa-6fa5-41c1-a5fe-582d0c7d9a89">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Aufnahmegrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@root='1.2.40.0.34.11.2.2.1'">(Aufnahmegrund): @root MUSS den Wert '1.2.40.0.34.11.2.2.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Aufnahmegrund): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']
Item: (Aufnahmegrund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.1']"
         id="tmp-e5262845-cd20-4c88-894c-37e9b2766775">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Aufnahmegrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.1'">(Aufnahmegrund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Aufnahmegrund): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:code
Item: (Aufnahmegrund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:code"
         id="tmp-95a1d8f5-4fb5-4f58-b1e8-4362680a4ce8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Aufnahmegrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Reason for Referral')">(Aufnahmegrund): Der Wert von @code/@codeSystem MUSS ''42349-1' codeSystem '2.16.840.1.113883.6.1' displayName='Reason for Referral'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:title
Item: (Aufnahmegrund)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:title"
         id="tmp-0fb6ebe9-1c54-4c75-ba7b-ef52892f8304">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Aufnahmegrund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.2.2.1.html"
              test="text()='Aufnahmegrund'">(Aufnahmegrund): Der Elementinhalt von 'hl7:title' MUSS ''Aufnahmegrund'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.1']]/hl7:section/hl7:text
Item: (Aufnahmegrund)
-->
</pattern>