<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.3.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.3.2">
   <title>Entlassungsmanagement-Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]
Item: (EntlassungsmanagementEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act"
         id="tmp-e39fc143-5f4f-41d0-8a02-21c294db8967">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@classCode='ACT'">(EntlassungsmanagementEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@moodCode='INT'">(EntlassungsmanagementEntry): Der Wert von @moodCode MUSS 'INT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'])&lt;=1">(EntlassungsmanagementEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:id)&lt;=1">(EntlassungsmanagementEntry): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:code)&lt;=1">(EntlassungsmanagementEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:text)&lt;=1">(EntlassungsmanagementEntry): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:statusCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:statusCode)&lt;=1">(EntlassungsmanagementEntry): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:effectiveTime)&lt;=1">(EntlassungsmanagementEntry): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.2']"
         id="tmp-b6040a48-cdaa-4a39-b099-c19cb8e782bb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@root='1.2.40.0.34.11.3.3.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.2.40.0.34.11.3.3.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsmanagementEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2']"
         id="tmp-12f54d8a-72af-41c1-8c39-9d81169cce23">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@root='1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2'">(EntlassungsmanagementEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.1.10.4.2' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(EntlassungsmanagementEntry): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:id
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:id"
         id="tmp-bc0c6ed5-3f0b-4278-9462-1ad7326317aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code"
         id="tmp-9423bc80-bc40-48c7-a700-94a04137566c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or (@code='GEPLENTLDAT' and @codeSystem='1.2.40.0.34.5.28' and @displayName='Geplantes Entlassungsdatum')">(EntlassungsmanagementEntry): Der Wert von @code/@codeSystem MUSS ''GEPLENTLDAT' codeSystem '1.2.40.0.34.5.28' displayName='Geplantes Entlassungsdatum'' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:originalText)&lt;=1">(EntlassungsmanagementEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code/hl7:originalText
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:code/hl7:originalText"
         id="tmp-b087d40e-b82c-41e5-bcf0-4e82a0c617b6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text"
         id="tmp-422cc79c-fa18-4df6-bae9-47b57c60a46a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:reference)&lt;=1">(EntlassungsmanagementEntry): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text/hl7:reference
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:text/hl7:reference"
         id="tmp-73777116-c024-451d-8f3d-5dc8504e2b48">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:statusCode
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:statusCode"
         id="tmp-68380bcc-5550-4842-abfc-3a597f5a2619">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CS" haben</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or (@code='normal')">(EntlassungsmanagementEntry): Der Wert von @code MUSS ''normal'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime"
         id="tmp-b204bcec-353b-48e2-8222-1290f6c063e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_TS" haben</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(EntlassungsmanagementEntry): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:low)&lt;=1">(EntlassungsmanagementEntry): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:high)&gt;=1 ">(EntlassungsmanagementEntry): Element hl7:high ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="count(hl7:high)&lt;=1">(EntlassungsmanagementEntry): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:low
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:low"
         id="tmp-eca63625-c490-49e7-8e60-5cf69fe6a8f2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS" haben</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.3.2
Context: *[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:high
Item: (EntlassungsmanagementEntry)
-->

<rule context="*[hl7:act[hl7:templateId/@root='1.2.40.0.34.11.3.3.2']]/hl7:act/hl7:effectiveTime/hl7:high"
         id="tmp-e0b93b7c-7a15-4bca-9b6d-428e140f4caf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(EntlassungsmanagementEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS" haben</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.3.3.2.html"
              test="@nullFlavor='NI'">(EntlassungsmanagementEntry): Der Wert von @nullFlavor MUSS 'NI' sein.</assert>
   </rule>
</pattern>