<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.2.1">
   <title>Anforderung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]
Item: (Anforderung)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section"
         id="tmp-c289f8d3-5874-4381-896b-5e55a436045d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@classCode='DOCSECT' or not(@classCode)">(Anforderung): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.1'])&gt;=1 ">(Anforderung): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.1'])&lt;=1">(Anforderung): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Anforderung): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:code)&lt;=1">(Anforderung): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Anforderung): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:title)&lt;=1">(Anforderung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Anforderung): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="count(hl7:text)&lt;=1">(Anforderung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.1']
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.1']"
         id="tmp-41aa6f19-f6e7-44e8-86e4-b2f3cdbf74b7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@root='1.2.40.0.34.11.5.2.1'">(Anforderung): @root MUSS den Wert '1.2.40.0.34.11.5.2.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Anforderung): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:code
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:code"
         id="tmp-81e72516-4ca3-44a0-bc85-22390378584f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@nullFlavor or (@code='55115-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Requested imaging studies information' and @codeSystemName='LOINC')">(Anforderung): Der Wert von @code/@codeSystem MUSS ''55115-0' codeSystem '2.16.840.1.113883.6.1' displayName='Requested imaging studies information' codeSystemName='LOINC'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:title
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:title"
         id="tmp-d4d2503c-50a2-4029-aa42-d969ef8f6b89">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="text()='Anforderung'">(Anforderung): Der Elementinhalt von 'hl7:title' MUSS ''Anforderung'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:text
Item: (Anforderung)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.1']]/hl7:section/hl7:text"
         id="tmp-fb6a8c55-5f10-4e1f-bc4d-a7edffae12b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.1.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Anforderung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>