<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5.2.4
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5.2.4">
   <title>Patientenstatus / Patientenangaben</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]
Item: (PatientenStatusAngaben)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section
Item: (PatientenStatusAngaben)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section"
         id="tmp-e790422a-3fd7-4592-812d-1a61e670c10c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@classCode='DOCSECT' or not(@classCode)">(PatientenStatusAngaben): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.4'])&gt;=1 ">(PatientenStatusAngaben): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.5.2.4'])&lt;=1">(PatientenStatusAngaben): Element hl7:templateId[@root='1.2.40.0.34.11.5.2.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(PatientenStatusAngaben): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:code)&lt;=1">(PatientenStatusAngaben): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(PatientenStatusAngaben): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:title)&lt;=1">(PatientenStatusAngaben): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(PatientenStatusAngaben): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="count(hl7:text)&lt;=1">(PatientenStatusAngaben): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.4']
Item: (PatientenStatusAngaben)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.5.2.4']"
         id="tmp-ebb7e0e0-dc45-4714-b79f-e1662da0ca72">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PatientenStatusAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@root='1.2.40.0.34.11.5.2.4'">(PatientenStatusAngaben): @root MUSS den Wert '1.2.40.0.34.11.5.2.4' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientenStatusAngaben): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:code
Item: (PatientenStatusAngaben)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:code"
         id="tmp-c60c5daa-5315-4c97-a654-8e2c7f53ec07">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(PatientenStatusAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@nullFlavor or (@code='55108-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Clinical presentation' and @codeSystemName='LOINC')">(PatientenStatusAngaben): Der Wert von @code/@codeSystem MUSS ''55108-5' codeSystem '2.16.840.1.113883.6.1' displayName='Clinical presentation' codeSystemName='LOINC'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:title
Item: (PatientenStatusAngaben)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:title"
         id="tmp-47a5f790-3885-4356-8453-f4691dc46959">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(PatientenStatusAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="text()='Patientenstatus / Patientenangaben'">(PatientenStatusAngaben): Der Elementinhalt von 'hl7:title' MUSS ''Patientenstatus / Patientenangaben'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.5.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:text
Item: (PatientenStatusAngaben)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.5.2.4']]/hl7:section/hl7:text"
         id="tmp-b69e8196-2d64-4809-b426-26201365b79e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.5.2.4.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(PatientenStatusAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>