<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.2.1
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4.2.1">
   <title>Spezimen-Section</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]
Item: (SpezimenSection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section
Item: (SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section"
         id="tmp-316a0def-ef82-4e31-8c81-07e4531c3b43">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@classCode='DOCSECT'">(SpezimenSection): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.1'])&gt;=1 ">(SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.2.1'])&lt;=1">(SpezimenSection): Element hl7:templateId[@root='1.2.40.0.34.11.4.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpezimenSection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:code)&lt;=1">(SpezimenSection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(SpezimenSection): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:title)&lt;=1">(SpezimenSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="count(hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]])&lt;=1">(SpezimenSection): Element hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.1']
Item: (SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.4.2.1']"
         id="tmp-75278a62-ef73-4cbe-ae12-7c851ee4906c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(SpezimenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@root='1.2.40.0.34.11.4.2.1'">(SpezimenSection): @root MUSS den Wert '1.2.40.0.34.11.4.2.1' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(SpezimenSection): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:code
Item: (SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:code"
         id="tmp-28996012-b0b8-46c5-a61e-dca2383cf555">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(SpezimenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(SpezimenSection): Der Wert von @code/@codeSystem MUSS ''10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:title
Item: (SpezimenSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:title"
         id="tmp-6c9a7823-1cde-4e7e-995e-dee554682391">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(SpezimenSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20120926T171228/tmp-1.2.40.0.34.11.4.2.1.html"
              test="text()='Probeninformation'">(SpezimenSection): Der Elementinhalt von 'hl7:title' MUSS ''Probeninformation'' sein.</assert>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.4.2.1']]/hl7:section/hl7:entry[hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]]
Item: (SpezimenSection)
--></pattern>